Page MenuHomePhabricator

page library: allow clients to adjust text size
Closed, ResolvedPublic

Description

Context
When native clients load articles via mobile-html, they need to be able to adjust the font size.

Proposed solution
Provide a function to set a text size adjustment percentage:
setTextSizeAdjustmentPercentage(textSizeAdjustmentPercentage)

Notes
This is currently mainly needed by the iOS app. iOS currently sets -webkit-text-size-adjust to a percentage value, e.g. 100% as a style of the body element. We should probably also consider setting text-size-adjust as well.

from iOS code: document.body.style['-webkit-text-size-adjust'] = textSize

This is the lower level transformation in the page library. A similar function should be exposed in the abstraction layer, but with a callback.
We should also consider adding an input field for the text size adjustment to the AllTransforms demo.

Event Timeline

bearND created this task.May 7 2019, 6:38 PM
bearND updated the task description. (Show Details)
bearND renamed this task from mobile-html: allow clients to adjust text size to page library: allow clients to adjust text size.May 7 2019, 6:41 PM
bearND triaged this task as High priority.
bearND updated the task description. (Show Details)
bearND moved this task from Needs triage to Kanban on the Product-Infrastructure-Team-Backlog board.
bearND updated the task description. (Show Details)Jun 6 2019, 7:26 PM
bearND updated the task description. (Show Details)Jun 6 2019, 8:35 PM
MSantos claimed this task.Jun 11 2019, 3:34 PM
MSantos moved this task from To Do to Doing on the Product-Infrastructure-Team-Backlog (Kanban) board.
bearND closed this task as Resolved.Jul 30 2019, 6:37 PM